FreeCADマクロを調べてみる(勉強中)

FreeCADをマクロで操作

FreeCADマクロの説明サイトないので、Gooleでコードを拾い調べてる最中です。もしかしたら、JWW2.5Dを読み込み、3Dにできるかも

広告

Python Consoleを出し、コード入力できるように

コマンド一行入力

表示されないときは、下のタブをクリックします。

● 「View」>「Panels」>「Python Console」と「Report view」にチェックいれればOK

「Report view」はエラーを表示してくれます。

.pyファイルで動かすには

(1)マクロ .pyファイルを置くフォルダを決める

「Edit」>「Preference」とクリックします。

「General」>「Macro」>「Macro path」と選択し、フォルダーを登録します。

マクロを動かす。ツールーバーのアイコンをクリック

フォルダーにあるPythonが表示されます。

広告

新規図面>Box挿入、円挿入

新規図面を開き、Box(立方体)と円を追加してくれます。

doc=FreeCAD.newDocument()  #新規のドキュメント
box=doc.addObject("Part::Box","sam")
box=doc.addObject("Part::Circle","sam")
doc.recompute()
Box追加

選択中のオブジェクトを取得・変更

cy=App.ActiveDocument.ActiveObject
cy.Height=30

選択中(色が緑)のオブジェクト=ActiveObject で操作できる。

オブジェクトを名前で取得・操作

zz =App.ActiveDocument.getObject("Cylinder")
zz.Height=100

getObject(“ラベル名”) で操作する

FreeCADのオブジェクトは2つに分かれている

図形のデータ(幾何プロパティ)を持ってるオブジェクト Object = FreeCAD
線の色・太さなどの表示プロパティ ViewObject = FreeCADGui

FreeCAD 短縮名=App
FreeCADGui 短縮名=Gui

操作を録画し、コマンド調べる

Gui.SendMsgToActiveView(“ViewFit”) #すべてのものを画面の中にフィット

ファイル名の先頭大文字にしたほうがいいみたい。

FreeCAD
広告
samをフォローする
らくらくCAD

コメント

タイトルとURLをコピーしました